package com.tzld.piaoquan.growth.common.dao.mapper;

import com.tzld.piaoquan.growth.common.model.po.PreSpecialSendMessage;
import com.tzld.piaoquan.growth.common.model.po.PreSpecialSendMessageExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface PreSpecialSendMessageMapper {
    long countByExample(PreSpecialSendMessageExample example);

    int deleteByExample(PreSpecialSendMessageExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PreSpecialSendMessage record);

    int insertSelective(PreSpecialSendMessage record);

    List<PreSpecialSendMessage> selectByExample(PreSpecialSendMessageExample example);

    PreSpecialSendMessage selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PreSpecialSendMessage record, @Param("example") PreSpecialSendMessageExample example);

    int updateByExample(@Param("record") PreSpecialSendMessage record, @Param("example") PreSpecialSendMessageExample example);

    int updateByPrimaryKeySelective(PreSpecialSendMessage record);

    int updateByPrimaryKey(PreSpecialSendMessage record);
}